Subject: bug#17554: 24.3.91; [Regression] re-usage of dired *Marked Files* buffer window

From: Juri Linkov <[email-masked]>
Date: Sat, 24 May 2014 00:32:28 +0300

>> Then it splits once more the main window for the *Completions*
>> buffer.  So I get a *Completions* window which is typically large
>> enough to display the complete *Completions* buffer.
>
> Which is much better indeed.  You can customize `split-height-threshold'
> to get three windows again - the *Completions* buffer then appears at the
> bottom when the question is asked.  But the default would really look
> better with three windows.  Juri - any ideas?

When the frame is wide enough, then the *Completions* buffer appears
in the side window at the full height of the frame that is nice.

When the frame is narrow then maybe we should use the same positioning
of the *Completions* buffer as was in 23.1? I.e. to show *Completions*
in the window of the original Dired buffer.

But it seems this problem is not specific to Dired.  Creating manually
a window configuration with a small window at the bottom (`C-x 2' and then
`C-x ^' several times), typing `C-x d TAB TAB' displays *Completions*
in the small window.